\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]

	\node[soc] (m1s1) {};
	\node[eco] (m1e1) [below of=m1s1] {};
	\node[eco] (m1e2) [right of=m1e1] {};
	\node (m1t1) [below of=m1e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {I.A};
	
	\node[soc] (m2s1) [left of=m1s1, xshift=3cm] {};
	\node[eco] (m2e1) [below of=m2s1] {};
	\node[eco] (m2e2) [right of=m2e1] {};
	\path (m2s1) edge (m2e1);
	\node (m2t1) [below of=m2e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {I.B};
	
	\node[soc] (m3s1) [left of=m2s1, xshift=3cm] {};
	\node[eco] (m3e1) [below of=m3s1] {};
	\node[eco] (m3e2) [right of=m3e1] {};
	\path (m3s1) edge (m3e2);
	\node (m3t1) [below of=m3e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {I.B};
	
	\node[soc] (m4s1) [left of=m3s1, xshift=3cm] {};
	\node[eco] (m4e1) [below of=m4s1] {};
	\node[eco] (m4e2) [right of=m4e1] {};
	\path (m4s1) edge (m4e2);
	\path (m4s1) edge (m4e1);
	\node (m4t1) [below of=m4e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {I.C};
	
	\node[soc] (m5s1) [below of=m1e1, yshift=-0.5cm] {};
	\node[eco] (m5e1) [below of=m5s1] {};
	\node[eco] (m5e2) [right of=m5e1] {};
	\path (m5e1) edge (m5e2);
	\node (m5t1) [below of=m5e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {II.A};
	
	\node[soc] (m6s1) [left of=m5s1, xshift=3cm] {};
	\node[eco] (m6e1) [below of=m6s1] {};
	\node[eco] (m6e2) [right of=m6e1] {};
	\path (m6s1) edge (m6e1);
	\path (m6e1) edge (m6e2);
	\node (m6t1) [below of=m6e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {II.B};
	
	\node[soc] (m7s1) [left of=m6s1, xshift=3cm] {};
	\node[eco] (m7e1) [below of=m7s1] {};
	\node[eco] (m7e2) [right of=m7e1] {};
	\path (m7s1) edge (m7e2);
	\path (m7e1) edge (m7e2);
	\node (m7t1) [below of=m7e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {II.B};
	
	\node[soc] (m8s1) [left of=m7s1, xshift=3cm] {};
	\node[eco] (m8e1) [below of=m8s1] {};
	\node[eco] (m8e2) [right of=m8e1] {};
	\path (m8s1) edge (m8e2);
	\path (m8s1) edge (m8e1);
	\path (m8e1) edge (m8e2);
	\node (m8t1) [below of=m8e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {II.C};
\end{tikzpicture}
\end{document}
